import request from '@/utils/request'

// 查询检修计划全流程管理列表
export function listProcess(query) {
  return request({
    url: '/powerdistribution/process/list',
    method: 'get',
    params: query
  })
}

// 查询检修计划全流程管理详细
export function getProcess(id) {
  return request({
    url: '/powerdistribution/process/' + id,
    method: 'get'
  })
}

// 新增检修计划全流程管理
export function addProcess(data) {
  return request({
    url: '/powerdistribution/process',
    method: 'post',
    data: data
  })
}

// 修改检修计划全流程管理
export function updateProcess(data) {
  return request({
    url: '/powerdistribution/process',
    method: 'put',
    data: data
  })
}

// 删除检修计划全流程管理
export function delProcess(id) {
  return request({
    url: '/powerdistribution/process/' + id,
    method: 'delete'
  })
}
